#!/bin/sh
test "$(id -un)" = "root" &&
        {
		echo "You are running this script as root.
Please run it again as a regular user, without sudo."
		exit 1
        }
echo "Enter Your CRSid:"
read CRSID
location="Department of Engineering"
uri_scheme=lpd
printer_uri="${uri_scheme}://papercut.eng.cam.ac.uk/printers"
xerox_ppd="/Library/Printers/PPDs/Contents/Resources/Xerox WorkCentre 7835.gz"
common_lpoptions="-o printer-is-shared=False -o XRFinisher=SBFinisher"
lpadmin -x papercut_colour >/dev/null 2>&1
lpadmin -x papercut_mono >/dev/null 2>&1
lpadmin -L "$location" -v "$printer_uri" -m "$xerox_ppd" $common_lpoptions -D "PaperCut Colour" -p papercut_colour -E
lpadmin -L "$location" -v "$printer_uri" -m "$xerox_ppd" $common_lpoptions -o XROutputColor=PrintAsGrayscale -D "PaperCut Mono" -p papercut_mono -E
defaults write ~/Library/Preferences/org.cups.PrintingPrefs.plist User $CRSID
